from events.types.payload import Payload


class ChildTasksSet(Payload):
    def __init__(self, child_id: str, task_ids: list[str]):
        super().__init__({
            'child_id': child_id,
            'task_ids': task_ids
        })

    @property
    def child_id(self) -> str:
        return self.get("child_id")

    @property
    def task_ids(self) -> list[str]:
        return self.get("task_ids", [])


